<?php

Yii::import('application.modules.core_models.models._base.BaseModel');

/**
 * This is the model base class for the table "partner_site_warning_service".
 * DO NOT MODIFY THIS FILE! It is automatically generated by giix.
 * If any changes are necessary, you must set or override the required
 * property or method in class "PartnerSiteWarningService".
 *
 * Columns in table "partner_site_warning_service" available as properties of the model,
 * followed by relations of table "partner_site_warning_service" available as properties of the model.
 *
 * @property integer $id
 * @property integer $partner_site_id
 * @property string $date_start
 * @property string $date_end
 * @property string $warning_message
 *
 * @property PartnerSite $partnerSite
 */
abstract class BasePartnerSiteWarningService extends BaseModel
{

    public static function model($className = __CLASS__)
    {
        return parent::model($className);
    }

    public function tableName()
    {
        return 'partner_site_warning_service';
    }

    public static function label($n = 1)
    {
        return Yii::t('app', 'PartnerSiteWarningService|PartnerSiteWarningServices', $n);
    }

    public static function representingColumn()
    {
        return 'warning_message';
    }

    public function rules()
    {
        return array(
            array('partner_site_id, warning_message', 'required'),
            array('partner_site_id', 'numerical', 'integerOnly' => true),
            array('date_start, date_end, warning_message', 'safe'),
            array('date_start, date_end, warning_message', 'default', 'setOnEmpty' => true, 'value' => null),
            array('id, partner_site_id, date_start, date_end, warning_message', 'safe', 'on' => 'search'),
        );
    }

    public function relations()
    {
        return array(
            'partnerSite' => array(self::BELONGS_TO, 'PartnerSite', 'partner_site_id'),
        );
    }

    public function pivotModels()
    {
        return array(
        );
    }

    public function attributeLabels()
    {
        return array(
            'id' => Yii::t('app', 'ID'),
            'partner_site_id' => null,
            'date_start' => Yii::t('app', 'Date Start'),
            'date_end' => Yii::t('app', 'Date End'),
            'warning_message' => Yii::t('app', 'Warning Message'),
            'partnerSite' => null,
        );
    }

    public function search()
    {
        $criteria = new CDbCriteria;

        $criteria->compare('id', $this->id);
        $criteria->compare('partner_site_id', $this->partner_site_id);
        $criteria->compare('date_start', $this->date_start, true);
        $criteria->compare('date_end', $this->date_end, true);
        $criteria->compare('warning_message', $this->warning_message, true);

        return new CActiveDataProvider($this, array(
            'criteria' => $criteria, 'pagination' => array('pageSize' => 100)
        ));
    }

}
